<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.Vcontabilizzazione" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="vContabilizzazione">
        <composite-id class="sicura.entities.VcontabilizzazioneId" mapped="false" name="id" unsaved-value="undefined">
            <key-property name="id" type="int">
                <column name="ID"/>
            </key-property>
            <key-property name="iddisposizione" type="int">
                <column name="IDDisposizione"/>
            </key-property>
            <key-property name="iddisposizioneFunzioneOrdinante" type="string">
                <column length="30" name="IDDisposizioneFunzioneOrdinante"/>
            </key-property>
            <key-property name="codiceSocietà" type="string">
                <column length="3" name="CodiceSocietà"/>
            </key-property>
            <key-property name="funzioneOrdinante" type="string">
                <column length="10" name="FunzioneOrdinante"/>
            </key-property>
            <key-property name="causaleMovimento" type="string">
                <column length="10" name="CausaleMovimento"/>
            </key-property>
            <key-property name="descrizioneMovimento" type="string">
                <column length="50" name="DescrizioneMovimento"/>
            </key-property>
            <key-property name="tipologia" type="string">
                <column length="3" name="Tipologia"/>
            </key-property>
            <key-property name="modalitaPagamento" type="string">
                <column length="1" name="ModalitaPagamento"/>
            </key-property>
            <key-property name="nomeSupporto" type="string">
                <column length="20" name="NomeSupporto"/>
            </key-property>
            <key-property name="numeroProgressivo" type="int">
                <column name="NumeroProgressivo"/>
            </key-property>
            <key-property name="dataCreazioneDistinta" type="string">
                <column length="30" name="DataCreazioneDistinta"/>
            </key-property>
            <key-property name="codiceAbiOrdinante" type="string">
                <column length="5" name="Codice_Abi_Ordinante"/>
            </key-property>
            <key-property name="cabOrdinante" type="string">
                <column length="5" name="Cab_Ordinante"/>
            </key-property>
            <key-property name="contoOrdinante" type="string">
                <column length="12" name="Conto_Ordinante"/>
            </key-property>
            <key-property name="cinOrdinante" type="string">
                <column length="1" name="Cin_Ordinante"/>
            </key-property>
            <key-property name="coordinateIbanordinante" type="string">
                <column length="42" name="CoordinateIBANordinante"/>
            </key-property>
            <key-property name="codiceBicordinante" type="string">
                <column length="11" name="CodiceBICordinante"/>
            </key-property>
            <key-property name="codiceFiscaleDestinatario" type="string">
                <column length="16" name="Codice_Fiscale_Destinatario"/>
            </key-property>
            <key-property name="denominazioneDestinatario" type="string">
                <column length="90" name="DenominazioneDestinatario"/>
            </key-property>
            <key-property name="dataEsecuzioneDisposizione" type="string">
                <column length="30" name="Data_Esecuzione_Disposizione"/>
            </key-property>
            <key-property name="dataValutaDestinatario" type="string">
                <column length="30" name="Data_Valuta_Destinatario"/>
            </key-property>
            <key-property name="dataScadenza" type="string">
                <column length="30" name="Data_Scadenza"/>
            </key-property>
            <key-property name="segno" type="string">
                <column length="1" name="Segno"/>
            </key-property>
            <key-property name="importo" type="double">
                <column name="Importo" precision="53" scale="0"/>
            </key-property>
            <key-property name="divisaImporto" type="string">
                <column length="3" name="DivisaImporto"/>
            </key-property>
            <key-property name="importoInValuta" type="double">
                <column name="ImportoInValuta" precision="53" scale="0"/>
            </key-property>
            <key-property name="tipoDisposizione" type="string">
                <column length="1" name="TipoDisposizione"/>
            </key-property>
            <key-property name="ramoMinisteriale" type="string">
                <column length="10" name="RamoMinisteriale"/>
            </key-property>
            <key-property name="ramoTecnico" type="string">
                <column length="2" name="RamoTecnico"/>
            </key-property>
            <key-property name="numeroSinistroDanni" type="string">
                <column length="10" name="NumeroSinistroDanni"/>
            </key-property>
            <key-property name="statistico1" type="string">
                <column length="10" name="Statistico1"/>
            </key-property>
            <key-property name="statistico2" type="string">
                <column length="10" name="Statistico2"/>
            </key-property>
            <key-property name="descrizioneDisposizione" type="string">
                <column length="90" name="Descrizione_Disposizione"/>
            </key-property>
            <key-property name="dataDisposizioneEmessa" type="string">
                <column length="30" name="DataDisposizioneEmessa"/>
            </key-property>
            <key-property name="dataRegistrazioneFmemessa" type="string">
                <column length="30" name="DataRegistrazioneFMEmessa"/>
            </key-property>
            <key-property name="protocolloEmessa" type="string">
                <column length="2" name="ProtocolloEmessa"/>
            </key-property>
            <key-property name="numeroProtocolloEmessa" type="string">
                <column length="7" name="NumeroProtocolloEmessa"/>
            </key-property>
            <key-property name="pianoContiEmessa" type="string">
                <column length="2" name="PianoContiEmessa"/>
            </key-property>
            <key-property name="dataEsitoBonificoEffettuato" type="string">
                <column length="30" name="DataEsitoBonificoEffettuato"/>
            </key-property>
            <key-property name="dataRegistrazioneFmbonificoEffettuato" type="string">
                <column length="30" name="DataRegistrazioneFMBonificoEffettuato"/>
            </key-property>
            <key-property name="protocolloBonificoEffettuato" type="string">
                <column length="2" name="ProtocolloBonificoEffettuato"/>
            </key-property>
            <key-property name="numeroProtocolloBonificoEffettuato" type="string">
                <column length="7" name="NumeroProtocolloBonificoEffettuato"/>
            </key-property>
            <key-property name="pianoContiBonificoEffettuato" type="string">
                <column length="2" name="PianoContiBonificoEffettuato"/>
            </key-property>
            <key-property name="dataEsitoBonificoStornato" type="string">
                <column length="30" name="DataEsitoBonificoStornato"/>
            </key-property>
            <key-property name="dataRegistrazioneFmbonificoStornato" type="string">
                <column length="30" name="DataRegistrazioneFMBonificoStornato"/>
            </key-property>
            <key-property name="protocolloBonificoStornato" type="string">
                <column length="2" name="ProtocolloBonificoStornato"/>
            </key-property>
            <key-property name="numeroProtocolloBonificoStornato" type="string">
                <column length="7" name="NumeroProtocolloBonificoStornato"/>
            </key-property>
            <key-property name="pianoContiBonificoStornato" type="string">
                <column length="2" name="PianoContiBonificoStornato"/>
            </key-property>
            <key-property name="causaleEsito" type="string">
                <column length="5" name="CausaleEsito"/>
            </key-property>
            <key-property name="tipoAnomalia" type="string">
                <column length="1" name="TipoAnomalia"/>
            </key-property>
            <key-property name="tipoCodiceRiferimento" type="string">
                <column length="1" name="TipoCodiceRiferimento"/>
            </key-property>
            <key-property name="codiceRiferimento" type="string">
                <column length="35" name="CodiceRiferimento"/>
            </key-property>
            <key-property name="valutaOrdinante" type="string">
                <column length="30" name="ValutaOrdinante"/>
            </key-property>
            <key-property name="valutaBeneficiario" type="string">
                <column length="30" name="ValutaBeneficiario"/>
            </key-property>
            <key-property name="dataContabileAddebito" type="string">
                <column length="30" name="DataContabileAddebito"/>
            </key-property>
            <key-property name="importoCommissioni" type="string">
                <column length="13" name="ImportoCommissioni"/>
            </key-property>
            <key-property name="importoSpese" type="string">
                <column length="13" name="ImportoSpese"/>
            </key-property>
            <key-property name="importoPenali" type="string">
                <column length="13" name="ImportoPenali"/>
            </key-property>
            <key-property name="numeroAssegnoEmesso" type="string">
                <column length="16" name="NumeroAssegnoEmesso"/>
            </key-property>
            <key-property name="flagChiusuraDisposizione" type="string">
                <column length="1" name="FlagChiusuraDisposizione"/>
            </key-property>
            <key-property name="codiceAbiDestinatario" type="string">
                <column length="5" name="Codice_Abi_Destinatario"/>
            </key-property>
            <key-property name="cabDestinatario" type="string">
                <column length="5" name="Cab_Destinatario"/>
            </key-property>
            <key-property name="contoDestinatario" type="string">
                <column length="12" name="Conto_Destinatario"/>
            </key-property>
            <key-property name="cinDestinatario" type="string">
                <column length="1" name="Cin_Destinatario"/>
            </key-property>
            <key-property name="coordinateIbandestinatario" type="string">
                <column length="42" name="CoordinateIBANdestinatario"/>
            </key-property>
            <key-property name="codiceBicdestinatario" type="string">
                <column length="11" name="CodiceBICdestinatario"/>
            </key-property>
            <key-property name="agenziaCdc" type="string">
                <column length="10" name="AgenziaCDC"/>
            </key-property>
            <key-property name="provenienzaDisposizione" type="string">
                <column length="10" name="ProvenienzaDisposizione"/>
            </key-property>
            <key-property name="numeroPolizza" type="string">
                <column length="13" name="NumeroPolizza"/>
            </key-property>
            <key-property name="flagAntiriciclaggio" type="string">
                <column length="1" name="FlagAntiriciclaggio"/>
            </key-property>
            <key-property name="dataScarto" type="string">
                <column length="30" name="DataScarto"/>
            </key-property>
            <key-property name="dataRegistrazioneFmscarto" type="string">
                <column length="30" name="DataRegistrazioneFMScarto"/>
            </key-property>
            <key-property name="protocolloScarto" type="string">
                <column length="2" name="ProtocolloScarto"/>
            </key-property>
            <key-property name="numeroProtocolloScarto" type="string">
                <column length="7" name="NumeroProtocolloScarto"/>
            </key-property>
            <key-property name="pianoContiScarto" type="string">
                <column length="2" name="PianoContiScarto"/>
            </key-property>
        </composite-id>
    </class>
</hibernate-mapping>
